Dropping Python 2 support in favor of Python 3


#1

Python 2 will no longer be supported by developers come to the start of 2020, this has pushed many library developers to make the switch from Python 2 to Python 3, making it harder for SiCKRAGE to consider maintaining backward compatibility for Python 2 well moving to Python 3, for that reason I’ve decided to drop Python 2 support entirely and migrate the code to Python 3.

I haven’t yet decided on an official date for when this switchover will happen but I will provide ample warning both here and in the app in some sort of unavoidable banner, when the change does happen I’ll move the Python 2 app into its own branch and merge the new code into master on our GIT servers.

Synology and QNap users may need to install SiCKRAGE via docker to meet requirements as well, I would suggest attempting that now with the current docker image sickrage/sickrage:latest

I’ve started a discussion thread over at *DISCUSSION* - Dropping Python 2 support in favor of Python 3 so others can chime in on this if they want to.


*DISCUSSION* - Dropping Python 2 support in favor of Python 3
closed #2

This topic was automatically closed after 62 minutes. New replies are no longer allowed.